<?php
/**
 * Body Classes.
 * @package Packers Movers Company
 */

if (!function_exists('packers_movers_company_body_classes')) :

    function packers_movers_company_body_classes($packers_movers_company_classes)
    {
        $packers_movers_company_defaults = packers_movers_company_get_default_theme_options();
        $packers_movers_company_layout = packers_movers_company_get_final_sidebar_layout();

        // Adds a class of hfeed to non-singular pages.
        if (!is_singular()) {
            $packers_movers_company_classes[] = 'hfeed';
        }

        // Sidebar layout logic
        $packers_movers_company_classes[] = $packers_movers_company_layout;

        // Copyright alignment
        $copyright_alignment = get_theme_mod('packers_movers_company_copyright_alignment', 'Default');
        $packers_movers_company_classes[] = 'copyright-' . strtolower($copyright_alignment);

        return $packers_movers_company_classes;
    }

endif;

add_filter('body_class', 'packers_movers_company_body_classes');